%define version   0.6.0
%define release   %mkrel 3

%define libname %mklibname %{name} 0
%define develname %mklibname -d %{name}

Name:      tomoe
Summary:   A program which does Japanese handwriting recognition
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   LGPLv2+
URL:       https://sourceforge.jp/projects/tomoe/
Source0:   %{name}-%{version}.tar.xz
Patch1:	   tomoe-0.6.0-fix-str-fmt.patch
Patch2:    tomoe-0.6.0-linkage.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:        %{libname} = %{version}
BuildRequires:   automake
BuildRequires:   intltool
BuildRequires:   gtk-doc
BuildRequires:	 ruby-devel
BuildRequires:   ruby-gnome2-devel
BuildRequires:   python-gobject-devel
BuildRequires:	 pygtk2.0-devel
BuildRequires:	 glib2-devel

%description
A program which does Japanese handwriting recognition.

%package    python
Summary:    Python binding of tomoe
Group:      System/Internationalization
Requires:   %{name} = %{version}
Requires:   python >= 2.6.6

%description python
Python binding of tomoe.

%package    ruby
Summary:    Ruby binding of tomoe
Group:      System/Internationalization
Requires:   %{name} = %{version}
Requires:   ruby ruby-gnome2

%description ruby
Ruby binding of tomoe.

%package -n %{libname}
Summary:    Tomoe library
Group:      System/Internationalization


%description -n %{libname}
tomoe library.

%package -n %{develname}
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %{libname}-devel

%description -n %{develname}
Headers of %{name} for development.

%prep
%setup -q
%patch1 -p0
%patch2 -p0

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post -n %libname
/sbin/ldconfig


%postun -n %libname
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%config(noreplace) %{_sysconfdir}/tomoe/config
%{_datadir}/gtk-doc/html/tomoe/*
%{_datadir}/tomoe/*

%files python
%defattr(-,root,root)
%doc COPYING
%{python_sitearch}/*.so

%files ruby
%defattr(-,root,root)
%doc COPYING
%{ruby_sitelibdir}/*.rb
%{ruby_sitelibdir}/*/*.so

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.0*
%{_libdir}/tomoe/module/*/*.so

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%{_includedir}/tomoe/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%{ruby_sitearchdir}/*.h
%{ruby_sitearchdir}/*.a
%{ruby_sitearchdir}/*.la
%{python_sitearch}/*.a
%{python_sitearch}/*.la
%{_libdir}/tomoe/module/*/*.a
%{_libdir}/tomoe/module/*/*.la
%{_libdir}/pkgconfig/tomoe.pc
%{_libdir}/pkgconfig/pytomoe.pc


%changelog
* Sun Sep 05 2010 Texstar <texstar at gmail.com> 0.6.0-3pclos2010
- rebuild for new python

* Sat Jun 12 2010 Texstar <texstar at gmail.com> 0.6.0-2pclos2010
- fix specfile 

* Fri Jun 11 2010 Ertain <sirius-C at iname.com> 0.6.0-1pclos2010
- Took the Mandriva specfile and ran with it.
